Stop
Notification that a card was stopped.
Request
Path parameters
string, 10 characters, required
The Paymentology issued terminal ID of the terminal requesting the transaction
string, 1-255 characters, required
The reference of the wallet
string, required
The masked 16 digit PAN that was stopped
integer, required
The reason id for stopping the card:
1 – Card lost
2 – Card stolen
3 – Pending query
4 – Card consolidation
5 – Card inactive
6 – PIN tries exceeded
7 – Suspected fraud
8 – Card replaced
9 – Stopped to be re-issued
10 – Scheduled stop
11 – Offline PIN attempts exceeded
string, 0-2048 characters, required
Extra information about the transaction in a KLV format
string, 1-255 characters, required
Transaction ID number generated by the calling client. Note that the Transaction ID is not a unique value and may be duplicated over time.
date, required
Transaction date generated by the calling client
string, required
HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
<methodName>Stop</methodName>
<params>
<param>
<value>
<string>0068766621</string>
</value>
</param>
<param>
<value>
<string>43172792905</string>
</value>
</param>
<param>
<value>
<string>2310XXXXXXXX5112</string>
</value>
</param>
<param>
<value>
<int>4</int>
</value>
</param>
<param>
<value>
<string>00215627028100000021</string>
</value>
</param>
<param>
<value>
<string>412dc669-c7bb-4210-ae82-6e19bc57da9c</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200817T14:02:39</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>AAB501E6C3C1A9BC7A7BF5D5CE1270FD9E16BC57</string>
</value>
</param>
</params>
</methodCall>
Response
STATUS200 OK
Schema
integer
Status code indicating transaction result
<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
Was this page helpful?